#
# spec file for package perl-Test-MockModule
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-MockModule
Version:        0.13
Release:        lp150.1.3
#Upstream: GPL-1.0+
%define cpan_name Test-MockModule
Summary:        Override subroutines in a module for unit testing
License:        GPL-3.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-MockModule/
Source0:        https://cpan.metacpan.org/authors/id/G/GF/GFRANKS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.380000
BuildRequires:  perl(SUPER)
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(SUPER)
%{perl_requires}

%description
'Test::MockModule' lets you temporarily redefine subroutines in other
packages for the purposes of unit testing.

A 'Test::MockModule' object is set up to mock subroutines for a given
module. The object remembers the original subroutine so it can be easily
restored. This happens automatically when all MockModule objects for the
given module go out of scope, or when you 'unmock()' the subroutine.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md
%license LICENSE

%changelog
* Fri Oct  6 2017 coolo@suse.com
- updated to 0.13
  see /usr/share/doc/packages/perl-Test-MockModule/Changes
  v0.13
  - Added the `redefine()` function. It works just like `mock()`, except if the
    method being mocked doesn't exist, it causes a panic. Many thanks to Felipe
    Gasper for this feature!
* Thu Jul 13 2017 coolo@suse.com
- updated to 0.12
  see /usr/share/doc/packages/perl-Test-MockModule/Changes
  v0.12
  - Added the `noop()` function to make mocking noops easier. Thanks for the PR,
    Ali Zia!
  v0.11 2016-10-27
  - Various housekeeping, testing and minor fixes, courtesy of Paul Cochrane, thanks!
* Wed Oct 28 2015 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-Test-MockModule/Changes
* Sun Jun  7 2015 coolo@suse.com
- updated to 0.10
  see /usr/share/doc/packages/perl-Test-MockModule/Changes
* Thu Apr 16 2015 coolo@suse.com
- set license to GPL-3.0+
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.09
  see /usr/share/doc/packages/perl-Test-MockModule/Changes
  v0.08 2015-03-15
  - Ensure LICENSE autogenerates for distribution, fixed license issues in Build.PL
  v0.08 2015-03-14
  - Updated README with correct instructions now that we use Build.PL
  v0.07 2015-03-14
  - Updated docs for more clarity when handling objects of mocked classes.
  v0.06 2015-03-07
  - unmock() on inherited subroutines will dispatch to the parent module,
    rather than replace the local subroutine with the parent's subroutine
    from the time of mocking (RT77439)
* Thu Feb 12 2015 coolo@suse.com
- fix license
* Thu Apr 21 2011 coolo@opensuse.org
- initial package 0.05
  * created by cpanspec 1.78.04
